gnutls_dtls_set_data_mtu(3)

NAME
gnutls_dtls_set_data_mtu - API function

SYNOPSIS
#include <gnutls/dtls.h>

int gnutls_dtls_set_data_mtu(gnutls_session_t session, unsigned int mtu);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int mtu
    The maximum unencrypted transfer unit of the session

DESCRIPTION
This function will set the maximum size of the *unencrypted* records which will be sent over a DTLS session. It is equivalent to calculating the DTLS packet overhead with the current encryption parameters, and calling gnutls_dtls_set_mtu() with that value. In particular, this means that you may need to call this function again after any negotiation or renegotiation, in order to ensure that the MTU is still sufficient to account for the new protocol overhead.

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

SINCE
3.1

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/